### This file will be updated periodically between now (whenever you are seeing this)
### and April 8th (the day before the workshop!)
#####
### If you download this file now, please be sure to check back for updates
### as the conference approaches.


### TO NOTE: Anything preceded by at # is a 'comment'
#   that means it is something ignored by R
#   which means comments are usually something like this --
#   informative statements used for later reference, such as
#   reminding yourself what you did and why!



##Which directory are we in?
getwd()
	##Do we want to change our directory? Usually, this is a good idea
	# ?setwd() will help us!

## do this if you need to:
## setwd() ## -- be sure to setwd properly!

##let's see if we have anything in the workspace:
ls()


## If it's OK, let's clean the workspace.
rm(list=ls()) #clean the workspace

###Now load the data into the workspace.
load('br.data.rda')
load('br.col.des.rda')
load('br.row.des.rda')
load('br.demog.rda')

##let's see what is in our workspace, again!:
ls()


##Let's load up the packages we need:
#library(prettyGraphs)
#library(ExPosition)
#library(TExPosition)

##But, if packages have dependences, they will load up together when we load the one with all the dependencies:
library(TExPosition) ##InPosition depends on ExPosition which depends on prettyGraphs -- much easier!


##finally, we need some special functions to perform MFA and some of the plotting. Let's look at our workspace one more time:
ls()

###Now load the functions for MFA:
source('functions_for_MFA.R')

##let's see what is in our workspace, again!:
ls()
	###We now see some new things -- these new things are functions (prepacked code) to perform specific operations. 