### This file will be updated periodically between now (whenever you are seeing this)
### and April 8th (the day before the workshop!)
#####
### If you download this file now, please be sure to check back for updates
### as the conference approaches.


### TO NOTE: Anything preceded by at # is a 'comment'
#   that means it is something ignored by R
#   which means comments are usually something like this --
#   informative statements used for later reference, such as
#   reminding yourself what you did and why!


##Going further: PLS -- a between two tables analysis


	###
	# Let's start fresh!
	###
		##load the packages
library(TExPosition)			
		##clean the workspace
rm(list=ls())
		##get the data back
load('br.data.rda')
load('br.col.des.rda')
load('br.row.des.rda')
load('br.demog.rda')


	##get the MFA functions back.
source('functions_for_MFA.R')
	##and also a plotting helper.
source('partialPlots_function.R')

	##check the workspace:
ls()



	###NOTE: The MFA functions we've made for you will generate a lot of output and pictures. It's everything (and more) than you would need.

	
	##This MFA *does* include the table normalization. Essentially, we now make the contribution of each table equal in the entirety of the analysis.
beer.mfa.res <- baseMFA(br.data,br.col.des,br.row.des)
		##That's much better!
		
		
		
###Let's use demographic information to know a bit more about how the space was created?
	##Do boys and girls contribute to the analysis in different ways?
	boy.girl.colors <- ifelse(br.demog['gender',]=="M","mediumseagreen","mediumorchid4")
	partialPlots(beer.mfa.res,1,2,boy.girl.colors,pi.main="Partial Inertias - Gender",pp.main="Partial Projections -- Gender")
	
	
	##Does homebrewing contributing in different ways?
	homebrewers.pch <- ifelse(br.demog['homebrews',]=="Y",17,20)
	partialPlots(beer.mfa.res,1,2,col=boy.girl.colors,pch= homebrewers.pch,pi.main="Partial Inertias - Gender + Homebrews",pp.main="Partial Projections -- Gender + Homebrews")
	
	##what about expertise? We can make that more transparent for less expertise!
	boy.girl.expertise.colors <- boy.girl.colors
	boy.girl.expertise.colors[which(br.demog['expertise',]=="1")] <- add.alpha(boy.girl.expertise.colors[which(br.demog['expertise',]=="1")],0.1)
	boy.girl.expertise.colors[which(br.demog['expertise',]=="2")] <- add.alpha(boy.girl.expertise.colors[which(br.demog['expertise',]=="2")],0.3)	
	boy.girl.expertise.colors[which(br.demog['expertise',]=="3")] <- add.alpha(boy.girl.expertise.colors[which(br.demog['expertise',]=="3")],0.6)

	partialPlots(beer.mfa.res,1,2,col= boy.girl.expertise.colors,pch= homebrewers.pch,pi.main="Partial Inertias - Gender, Homebrews, Expertise",pp.main="Partial Projections -- Gender, Homebrews, Expertise")