partialPlots <- function(res,x_axis=1,y_axis=2,col=NULL,pch=NULL,pi.main="",pp.main=""){
	
	if(is.null(col)){col<-rep("black",length(res$analysis$partial.projections)); print('col was NULL -- setting default')}
	if(is.null(pch)){pch<-rep(20,length(res$analysis$partial.projections)); print('pch was NULL -- setting default')}
	
	##Partial Inertias -- i.e., variance by each table (person)
	prettyPlot(res$analysis$ct,col=col,pch=pch,x_axis=x_axis,y_axis=y_axis,main=pi.main,cex=2)

	##Partial Projections -- i.e., how each beer looks wrt each person
	prettyPlot(res$analysis$fi,col=add.alpha(res$plotting$fi.col,0),constraints=res$plotting$constraints,x_axis=x_axis,y_axis=y_axis,pch=20,cex=2,text.cex=1.5,main=pp.main)
	for(i in 1:length(res$analysis$partial.projections)){
		prettyPlot(res$analysis$partial.projections[[i]],col=col[i],pch=pch[i],dev.new=F,axes=F,new.plot=F,display_names=F)
		for(k in 1:nrow(res$analysis$partial.projections[[i]])){
	    	x.dot <- c(res$analysis$partial.projections[[i]][k,x_axis],res$analysis$fi[k,x_axis])
	    	y.dot <- c(res$analysis$partial.projections[[i]][k,y_axis],res$analysis$fi[k,y_axis])    
	    	points(x.dot,y.dot,col=col[i],type="l",lwd=2)
		}
	}
	prettyPlot(res$analysis$fi,col=res$plotting$fi.col,constraints=res$plotting$constraints,x_axis=x_axis,y_axis=y_axis,pch=20,cex=2,text.cex=1.5,dev.new=F,axes=F,new.plot=F,display_names=F)
		
	
}